#include <bits/stdc++.h>
using namespace std;
bool s(long a)
{
    long tong=0;
    for(long i=1;i<=a/2;i++){
        if(a%i==0){
            tong=tong+i;
        }
    }
    if(tong==a){
        return true;
    }
    else
    {
        return false;
    }
}
int main()
{
    ifstream f1("SOHH.inp");
    ofstream f2("SOHH.out");
    long n;
    f1>>n;
    long d[10000];
    for(long i=0;i<n;i++){
        f1>>d[i];
        if(s(d[i])==true){
            f2<<d[i]<<endl;
        }
    }
    f1.close();
    f2.close();
    return 0;
}
